Loading...
Searching...
No Matches
TestPileupElement Class Reference
Inheritance diagram for TestPileupElement:
[legend]
Collaboration diagram for TestPileupElement:
[legend]

## Public Member Functions

virtual void | analyze ()
| Perform the analysis associated with this class.
Public Member Functions inherited from PileupElementBaseQual
| PileupElementBaseQual (const PileupElementBaseQual &q)
virtual void | addEntry (SamRecord &record)
| Add an entry to this pileup element.
virtual void | reset (int32_t refPosition)
| Resets the entry, setting the new position associated with this element.
Public Member Functions inherited from PileupElement
| PileupElement ()
| Pileup element constructor.
| PileupElement (const PileupElement &q)
| Constructor that resets the pileup element, does not copy, just resets.
virtual | ~PileupElement ()
| Pileup element destructor.
const char * | getChromosome () const
| Get the chromosome name stored in this element.
int32_t | getRefPosition () const
| Get the reference position stored in this element.
char | getRefBase ()
| Returns the reference base for this pileup element.

## Additional Inherited Members

Static Public Member Functions inherited from PileupElement
static void | setReference (GenomeSequence *reference)
| Set the reference to use for all pilepElements.
Static Public Attributes inherited from PileupElement
static const int32_t | UNSET_POSITION = -1
Static Protected Member Functions inherited from PileupElement
static GenomeSequence * | getReference ()
| Get a pointer to the reference.

## Detailed Description

Definition at line 23 of file TestPileup.h.

## Member Function Documentation

## analyze()

void TestPileupElement::analyze | ( |  | ) |

virtual

Perform the analysis associated with this class.

Reimplemented from PileupElementBaseQual.

Definition at line 25 of file TestPileup.cpp.

{
assert(strcmp(getChromosome(), "") == 0);
assert(getRefPosition() == 14000);
}
PileupElement::getChromosome
const char * getChromosome() const
Get the chromosome name stored in this element.
Definition PileupElement.h:51
PileupElement::getRefPosition
int32_t getRefPosition() const
Get the reference position stored in this element.
Definition PileupElement.h:54

References PileupElement::getChromosome(), and PileupElement::getRefPosition().

The documentation for this class was generated from the following files:

- bam/test/TestPileup.h
- bam/test/TestPileup.cpp